Skip to main content

Documentation Index

Fetch the complete documentation index at: https://wb-21fd5541-feature-automate-reference-docs-generation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Service API Reference

The Weave Service API provides REST endpoints for programmatic access to Weave functionality.

Base URL

https://trace.wandb.ai

Authentication

Include your W&B API key in the request headers:
curl -H "Authorization: Bearer YOUR_API_KEY" https://trace.wandb.ai/...

Available Endpoints

Calls

  • POST /call/start - Call Start
  • POST /call/end - Call End
  • POST /call/upsert_batch - Call Start Batch
  • POST /calls/delete - Calls Delete
  • POST /call/update - Call Update
  • POST /call/read - Call Read
  • POST /calls/query_stats - Calls Query Stats
  • POST /calls/stream_query - Calls Query Stream

Costs

  • POST /cost/create - Cost Create
  • POST /cost/query - Cost Query
  • POST /cost/purge - Cost Purge

Feedback

  • POST /feedback/create - Feedback Create
  • POST /feedback/query - Feedback Query
  • POST /feedback/purge - Feedback Purge
  • POST /feedback/replace - Feedback Replace

Files

  • POST /file/create - File Create
  • POST /file/content - File Content
  • POST /files/query_stats - Files Stats

Objects

  • POST /obj/create - Obj Create
  • POST /obj/read - Obj Read
  • POST /objs/query - Objs Query
  • POST /obj/delete - Obj Delete

OpenTelemetry

  • POST /otel/v1/traces - Export Trace

Refs

  • POST /refs/read_batch - Refs Read Batch

Service

  • GET /health - Read Root
  • GET /version - Read Version
  • GET /geolocate - Get Caller Location
  • GET /server_info - Server Info

Tables

  • POST /table/create - Table Create
  • POST /table/update - Table Update
  • POST /table/query - Table Query
  • POST /table/query_stats - Table Query Stats
  • POST /table/query_stats_batch - Table Query Stats Batch

Threads

  • POST /threads/stream_query - Threads Query Stream